Support » Fixing WordPress » Issue with php version 7.2 in running search

  • I have an issue with php 7.2 on my wordpress site . My host currently running on php 5.6 and after wordpress send notice that you need to upgrade your php version to 7.2 Cpu usage of my host increased to 90% !!! Thats a huge bug of wordpress

    But now i’m gonna upgrade php to 7.2 but after upgrading every thing works fine except searching between products ! When my users using search box trying to find something after wordpress crashes and display this error :
    The site is experiencing technical difficulties

    The log Stored these lines of error :

    #0 /home/censured-site/public_html/wp-includes/template.php(724): require()
    #1 /home/censured-site/public_html/wp-includes/template.php(671): load_template('/home/censured...', false)
    #2 /home/censured-site/public_html/wp-includes/general-template.php(168): locate_template(Array, true, false)
    #3 /home/censured-site/public_html/wp-content/themes/mytheme/search-download.php(89): get_template_part('includes/loop-s...')
    #4 /home/censured-site/public_html/wp-includes/template.php(724): require('/home/censured...')
    #5 /home/censured-site/public_html/wp-includes/template.php(671): load_template('/home/censured...', false)
    #6 /home/censured-site/public_html/wp-includes/general-template.php(168): locate_template(Array, true, false)
    #7 /home/censured-site/public_html/wp-content/themes/mytheme/search.php(12): get_template_part('search', 'download')
    #8 /home/censured-site/publ in /home/censured-site/public_html/wp-content/themes/mytheme/includes/loop-shop-listings.php on line 24
Viewing 1 replies (of 1 total)
  • Looks like your WordPress theme is not fully support PHP 7.2. The increased CPU usage is probably caused by the PHP errors in the theme when it is loaded by PHP 7.2. Have you checked with the theme author?

Viewing 1 replies (of 1 total)
  • You must be logged in to reply to this topic.